package com.xzzn.ems.mapper;

import com.xzzn.ems.domain.SysBizRemark;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysBizRemarkMapper
{
    SysBizRemark selectByBizKeys(@Param("bizType") String bizType,
                                 @Param("bizKey1") String bizKey1,
                                 @Param("bizKey2") String bizKey2);

    List<SysBizRemark> selectByBizKey2List(@Param("bizType") String bizType,
                                           @Param("bizKey1") String bizKey1,
                                           @Param("bizKey2List") List<String> bizKey2List);

    int insertSysBizRemark(SysBizRemark bizRemark);

    int updateSysBizRemark(SysBizRemark bizRemark);
}
